from setuptools import setup
from pip.req import parse_requirements

def readme():
    with open('README.rst') as f:
        return f.read()
        
reqs = [str(ir.req) for ir in parse_requirements('requirements.txt', session=False)]

setup(
    name='glmm',
    version='0.0.0.1',
    description='Generalized linear mixed models in Python and Fortran',
    long_description=readme(),
    url='https://github.com/dirmeier/glmm',
    author='Simon Dirmeier',
    author_email='simon.dirmeier@gmx.de',
    license='GPLv3',
    keywords=['linear mixed model', 'generalized linear mixed model', 
              'penalized generalized linear mixed model', 
              'penalized linear mixed model', 'lmm', 'glmm',
              'random effects model', 'random effects linear model'],
    packages=['glmm'],
    install_requires=reqs,
    classifiers=[
        'Development Status :: 1 - Planning',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: GNU General Public License v3 (GPLv3)'
    ]
)
